<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Util</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.util, class: Util">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Util.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.util</a></div>
<h1 title="Class Util" class="title">Class Util</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.util.Util</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Util</span>
extends java.lang.Object</pre>
<div class="block">Diverse methods</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">Util</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getDBUser(java.lang.String,java.lang.String)">getDBUser</a></span>&#8203;(java.lang.String&nbsp;serviceKey,
java.lang.String&nbsp;file)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getInfoFromResourceJSON(java.lang.String,java.lang.String,java.lang.String)">getInfoFromResourceJSON</a></span>&#8203;(java.lang.String&nbsp;nameFile,
java.lang.String&nbsp;serviceKey,
java.lang.String&nbsp;descriptiveName)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getRootFolder()">getRootFolder</a></span>()</code></th>
<td class="col-last">
<div class="block">Return the root folder of the project where every data are stored.</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getToken(java.lang.String)">getToken</a></span>&#8203;(java.lang.String&nbsp;serviceKey)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#jaro_distance(java.lang.String,java.lang.String)">jaro_distance</a></span>&#8203;(java.lang.String&nbsp;s1,
java.lang.String&nbsp;s2)</code></th>
<td class="col-last">
<div class="block">Function to calculate the Jaro Similarity of two Strings
 Code found here https://www.geeksforgeeks.org/jaro-and-jaro-winkler-similarity/
 This code is contributed by PrinciRaj1992</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#levenshteinDistance(java.lang.String,java.lang.String)">levenshteinDistance</a></span>&#8203;(java.lang.String&nbsp;source,
java.lang.String&nbsp;target)</code></th>
<td class="col-last">
<div class="block">from https://stackoverflow.com/questions/2344320/comparing-strings-with-tolerance</div>
</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mergeNAF93andNAF03(java.io.File,java.io.File,java.io.File)">mergeNAF93andNAF03</a></span>&#8203;(java.io.File&nbsp;NAF93,
java.io.File&nbsp;NAF03,
java.io.File&nbsp;outFolder)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#transformCsvToJSON(java.io.File,java.io.File)">transformCsvToJSON</a></span>&#8203;(java.io.File&nbsp;csvFile,
java.io.File&nbsp;outJSONFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Util</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Util</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="transformCsvToJSON(java.io.File,java.io.File)">
<h3>transformCsvToJSON</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">transformCsvToJSON</span>&#8203;(<span class="parameters">java.io.File&nbsp;csvFile,
java.io.File&nbsp;outJSONFile)</span>
                               throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="jaro_distance(java.lang.String,java.lang.String)">
<h3>jaro_distance</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">jaro_distance</span>&#8203;(<span class="parameters">java.lang.String&nbsp;s1,
java.lang.String&nbsp;s2)</span></div>
<div class="block">Function to calculate the Jaro Similarity of two Strings
 Code found here https://www.geeksforgeeks.org/jaro-and-jaro-winkler-similarity/
 This code is contributed by PrinciRaj1992</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the jaro distance</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getRootFolder()">
<h3>getRootFolder</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">getRootFolder</span>()</div>
<div class="block">Return the root folder of the project where every data are stored. The folder's path is indicated via a symbolic link at the root of the java project using bash command using 'ln -s {$/targetFolder/} rootFolder'.
 If no link is found, it is possible to enter it directly in the console.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the folder storing every data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getToken(java.lang.String)">
<h3>getToken</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getToken</span>&#8203;(<span class="parameters">java.lang.String&nbsp;serviceKey)</span></div>
</section>
</li>
<li>
<section class="detail" id="getDBUser(java.lang.String,java.lang.String)">
<h3>getDBUser</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getDBUser</span>&#8203;(<span class="parameters">java.lang.String&nbsp;serviceKey,
java.lang.String&nbsp;file)</span></div>
</section>
</li>
<li>
<section class="detail" id="getInfoFromResourceJSON(java.lang.String,java.lang.String,java.lang.String)">
<h3>getInfoFromResourceJSON</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getInfoFromResourceJSON</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nameFile,
java.lang.String&nbsp;serviceKey,
java.lang.String&nbsp;descriptiveName)</span></div>
</section>
</li>
<li>
<section class="detail" id="mergeNAF93andNAF03(java.io.File,java.io.File,java.io.File)">
<h3>mergeNAF93andNAF03</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mergeNAF93andNAF03</span>&#8203;(<span class="parameters">java.io.File&nbsp;NAF93,
java.io.File&nbsp;NAF03,
java.io.File&nbsp;outFolder)</span>
                               throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="levenshteinDistance(java.lang.String,java.lang.String)">
<h3>levenshteinDistance</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">levenshteinDistance</span>&#8203;(<span class="parameters">java.lang.String&nbsp;source,
java.lang.String&nbsp;target)</span></div>
<div class="block">from https://stackoverflow.com/questions/2344320/comparing-strings-with-tolerance</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>source</code> - </dd>
<dd><code>target</code> - </dd>
<dt>Returns:</dt>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Util.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
